Page MenuHomePhabricator

[Task] Move Purtle (RdfWriter and friends) to a separate repository, use it via composer
Closed, ResolvedPublic

Description

Purtle is pretty stable, and quite isolated from the rest of the codebase. It already resides in a separate directory. It seems time to move it to a separate git repo, so it can be used independently of Wikibase.

Event Timeline

daniel created this task.May 27 2015, 1:52 PM
daniel raised the priority of this task from to Needs Triage.
daniel updated the task description. (Show Details)
daniel added a project: Wikidata.
daniel added a subscriber: daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 27 2015, 1:52 PM
Lydia_Pintscher triaged this task as Medium priority.Jun 12 2015, 1:25 PM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.
Lydia_Pintscher set Security to None.
Jonas renamed this task from Move Purtle (RdfWriter and friends) to a separate repository, use it via composer to [Task] Move Purtle (RdfWriter and friends) to a separate repository, use it via composer.Aug 14 2015, 7:43 AM

Could we request that the repo be created in gerrit and phabricator.

Change 286144 had a related patch set uploaded (by Daniel Kinzler):
Use Purtle via composer.

https://gerrit.wikimedia.org/r/286144

Change 286144 merged by jenkins-bot:
Use Purtle via composer.

https://gerrit.wikimedia.org/r/286144

daniel closed this task as Resolved.Apr 29 2016, 4:56 PM
daniel claimed this task.

I hereby propose that the Purtle library be made completely independent of MediaWiki, therefore the statements within init.mw.php would be moved into a separate MediaWiki extension called "Purtle" depending on the Purtle library via Composer.

daniel added a comment.May 1 2016, 6:35 PM

I hereby propose that the Purtle library be made completely independent of MediaWiki, therefore the statements within init.mw.php would be moved into a separate MediaWiki extension called "Purtle" depending on the Purtle library via Composer.

It's not a dependency, just an optional intergration with MediaWiki. I think the only thing this does it to cause extension credits to be shown on Special:Version.

A separate extension just for that would be annoying to manage. I'd rather just kill the code.

aude added a subscriber: aude.May 1 2016, 6:46 PM

If purtle was installed in MediaWiki's vendor directory, then it would be listed on Special:Version as an external library.

suppose we will still be putting it in the build instead...

Change 605589 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/Wikibase@master] Remove purtle/ entries from phpunit.xml.dist

https://gerrit.wikimedia.org/r/605589

Change 605589 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove references to bundled Purtle

https://gerrit.wikimedia.org/r/605589